<?php
include_once(get_template_directory() . '/anps-framework/classes/AnpsUpgrade.php');
$tf_username = get_option("tf_username", "");
$tf_api_key = get_option("tf_api_key", "");
if(isset($_GET['save_user_data'])) {
    update_option('tf_username',$_POST['tf_username']);
    update_option('tf_api_key',$_POST['tf_api_key']);
    header("Location: themes.php?page=theme_options&sub_page=theme_upgrade");
}
?>
<form action="themes.php?page=theme_options&sub_page=theme_upgrade&save_user_data" method="post">
    <div class="content-top"><input type="submit" value="<?php esc_html_e("Save all changes", 'hairdresser'); ?>" /><div class="clear"></div></div>
    <div class="content-inner">
        <!-- Theme upgrade data -->
        <h3><?php esc_html_e("Theme upgrade", 'hairdresser'); ?></h3>

        <div class="alert">
        <i class="fa fa-exclamation-triangle"></i>
        Please backup all your files before upgrading (in case you did any custom work). The upgrade will overide all theme files, any custom changes will be lost.
        </div>

        <!-- Username -->
        <div class="input fullwidth">
            <label for="tf_username"><?php esc_html_e("Themeforest username", 'hairdresser'); ?></label>
            <input type="text" name="tf_username" value="<?php echo esc_attr($tf_username); ?>" />
        </div>
        <!-- API key -->
        <div class="input fullwidth">
            <label for="tf_api_key"><?php esc_html_e("Themeforest API key", 'hairdresser'); ?></label>
            <input type="text" name="tf_api_key" value="<?php echo esc_attr($tf_api_key); ?>" />
        </div>
        <!-- Submit button -->
        <div class="save left">
            <input type="submit" value="<?php esc_html_e("Save all changes", 'hairdresser'); ?>">
        </div>
        <p class="eightyfive"> To get your API key, log in to your themeforest account and click settings -> API Keys.
        Please see the screnshot below. If you do not have any generated API keys, please generate one.<br/><br/>
        <img class="shadow" src="<?php echo get_template_directory_uri(); ?>/anps-framework/images/api.jpg" />
        </p>
    </div>
</form>
<?php
if(empty($tf_username) || empty($tf_api_key)) :
?>
<div class="content-bottom" style="border-style: solid none; margin-top: 70px">
<center><p>Please enter username and api key.</p></center>
</div>
<?php elseif($update = AnpsUpgrade::check_theme_update()) :
    ob_start();
    wp_nonce_field('upgrade-core');
    $nonce = ob_get_clean();

    $allowed_html = array(
        'input' => array(
            'type' => array(),
            'id' => array(),
            'name' => array(),
            'value' => array()
        ),
    );
?>
<h3 class="action-required"><?php esc_html_e("You are using and outdated version of the theme, please upgrade it to get the latest features and ensure safety!", 'hairdresser'); ?></h3>
<form action="<?php echo network_admin_url('update-core.php?action=do-theme-upgrade'); ?>" method="post">
    <div class="content-bottom" style="border-style: solid none;">
        <input type="hidden" name="checked[]" value="<?php echo AnpsUpgrade::get_theme_name(); ?>" />
        <?php echo wp_kses($nonce, $allowed_html); ?>
        <input type="hidden" name="_wp_http_referer" value="/wp-admin/update-core.php?action=do-theme-upgrade" />
        <div class="twothirds">
            <div class="alert">
            <i class="fa fa-exclamation-triangle"></i>
            Please backup all your files before upgrading (in case you did any custom work). The upgrade will overide all theme files, any custom changes will be lost.
            </div>
        </div>
        <div class="onethird">
            <input class="green right" onclick="return confirm('I want to upgrade the theme, I understand that this will overwrite all theme files.');" type="submit" value="<?php esc_html_e("Upgrade theme", 'hairdresser'); ?>">
        </div>
        <div class="clear"></div>
    </div>
</form>
<?php else : ?>
<div class="content-bottom" style="border-style: solid none; margin-top: 70px">
<center><p>You are using the latest version of Constructo theme.</p></center>
</div>
<?php endif;
